package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bot;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BotMapper {

    int insert(Bot record);

    int insertSelective(Bot record);

    int updateByPrimaryKeySelective(Bot record);

    int updateByPrimaryKey(Bot record);

    int deleteByPrimaryKey(Bot record);

    int deleteByIds(Collection<Object> collection);

    Bot selectByPrimaryKey(Bot record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Bot> dyncRead(Map<String,Object> dyncMap);

}
